clan::XPathException Class Reference - ClanLib SDK
Description: clan::XPathException Class Reference

Public Member Functions | Public Attributes | List of all members
clan::XPathException Class Reference

`#include <xpath_exception.h>`

Inheritance diagram for clan::XPathException:

## Public Member Functions
| XPathException (const std::string &message)
| XPathException (const std::string &message, const std::string &expression)
| XPathException (const std::string &message, const std::string &expression, const XPathToken &cur_token)
| ~XPathException () noexcept
std::string | get_message () const
Public Member Functions inherited from clan::Exception
| Exception (const std::string &message)
| Constructs an exception object.
| ~Exception () noexcept override
| Destructs an exception object.
std::string | get_message_and_stack_trace () const
| Returns the message and call stack present when the exception object was created, formatted using newlines.
std::vector< std::string > | get_stack_trace () const
| Returns the call stack present when the exception object was created.
const char * | what () const override throw ()
| Returns description of exception.

## Public Attributes
std::string::size_type | error_position
std::string | expression
Public Attributes inherited from clan::Exception
std::string | message
| Description of exception.

## Constructor & Destructor Documentation

## ◆ XPathException() [1/3]

clan::XPathException::XPathException | ( | const std::string & | message | ) |
| inline

References clan::Exception::Exception(), and clan::Exception::message.

## ◆ XPathException() [2/3]

clan::XPathException::XPathException | ( | const std::string & | message,
|  | const std::string & | expression )

References expression, and clan::Exception::message.

## ◆ XPathException() [3/3]

clan::XPathException::XPathException | ( | const std::string & | message,
|  | const std::string & | expression,
|  | const XPathToken & | cur_token )

References expression, and clan::Exception::message.

## ◆ ~XPathException()

clan::XPathException::~XPathException | ( |  | ) |
| inlinenoexcept

## Member Function Documentation

## ◆ get_message()

std::string clan::XPathException::get_message | ( |  | ) | const

## Member Data Documentation

## ◆ error_position

std::string::size_type clan::XPathException::error_position

## ◆ expression

std::string clan::XPathException::expression

Referenced by XPathException(), and XPathException().

The documentation for this class was generated from the following file:

- xpath_exception.h